The NetBSD Project

CVS log for pkgsrc/net/libsoup24/Attic/Makefile

[BACK] Up to [cvs.NetBSD.org] / pkgsrc / net / libsoup24

Request diff between arbitrary revisions


Default branch: MAIN


Revision 1.69, Sun Jun 7 14:30:02 2015 UTC (7 years, 8 months ago) by youri
Branch: MAIN
CVS Tags: HEAD
Changes since 1.68: +1 -1 lines
FILE REMOVED

Remove libsoup24, which is replaced by net/libsoup version 2.5.
libsoup 2.5 is API compatible with 2.4.

Revision 1.68 / (download) - annotate - [select for diffs], Thu Apr 23 09:35:24 2015 UTC (7 years, 9 months ago) by tnn
Branch: MAIN
Changes since 1.67: +1 -4 lines
Diff to previous 1.67 (colored)

-Wno-error=format-zero-length should not be needed any more. From richard@

Revision 1.67 / (download) - annotate - [select for diffs], Wed Apr 22 19:58:26 2015 UTC (7 years, 9 months ago) by tnn
Branch: MAIN
Changes since 1.66: +2 -2 lines
Diff to previous 1.66 (colored)

fix typo: emprty -> empty in an if statement.
NB: this may cause fallout on some GCC versions.
In such event they should be added to the pattern.

Revision 1.66 / (download) - annotate - [select for diffs], Mon Apr 6 08:17:16 2015 UTC (7 years, 10 months ago) by adam
Branch: MAIN
Changes since 1.65: +2 -1 lines
Diff to previous 1.65 (colored)

Revbump after updating textproc/icu

Revision 1.65 / (download) - annotate - [select for diffs], Sat Jan 17 09:20:54 2015 UTC (8 years ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2015Q1-base, pkgsrc-2015Q1
Changes since 1.64: +3 -4 lines
Diff to previous 1.64 (colored)

Update to 2.48.1. shlib not bumped despite the interesting changelog
below.

Changes in libsoup from 2.48.0 to 2.48.1:

	* Fixed a bug in the SoupMessage:event signal that broke
	  evolution's ability to connect to https hosts with "bad"
	  certificates. [#739951, Dan Winship]

	* Fixed a case where the async codepaths could potentially
          block on a synchronous write [#727138, Dan Winship]

	* Fixed the symbol soup_server_set_ssl_cert_file() to get
          exported, and added soup_server_get_uris() to the
          documentation. [Tristan Van Berkom]

	* Improved a bunch of introspection annotations [#729987, Evan
          Nemerson]

	* Clarified some documentation. [Tristan Van Berkom, Dan
          Winship]

	* Fixed Windows build, twice [#738003, Kouhei Sutou, and
          #738551, Kalev Lember].

	* Updated translations:
	  Bengali (Indian), Chinese (Traditional), Italian, Latvian,
	  Serbian, Telugu, Ukranian

Changes in libsoup from 2.47.92 to 2.48.0:

	* Updated translations:
	  Bengali (India), Danish, German, Hindi, Kannada, Punjabi

Changes in libsoup from 2.47.4 to 2.47.92:

	* Fixed a crash in SoupCache when receiving certain invalid
          Cache-Control headers. [#733587, Raveendra Karu]

	* Updated translations:
	  Assamese, Basque, Catalan (Valencian), Catalan, Chinese
	  (Traditional), French, Gujarati, Hungarian, Indonesian,
	  Korean, Marathi, Norwegian bokmål, Oriya, Polish, Swedish,
	  Tamil

Changes in libsoup from 2.47.3 to 2.47.4:

	* Fixed two crashes that could occur in multithreaded use
          (in particular, with the latest git gvfs). [#732783,
          #732925, Ross Lagerwall]

	* Fixed the handling of data: URIs with base64-encoded data
          but no explicit MIME type. [#732112, Raveendra Karu]. Added
          tests for this and other data: URI cases. [Dan]

	* Fixed a bug in SoupAuthNTLM that affected 28-character-long
          passwords. [#732087, David Woodhouse]

	* Fixed tests to pass with GLib git master (which warns if you
	  use deprecated GObject properties, and which also caught a
	  mutex-handling bug in test-utils.c)

	* Updated translations:
	  Galician, Greek, Lithuanian, Russian

Changes in libsoup from 2.46.0 to 2.47.3:

	* Added new-and-improved SoupServer API, and deprecated much
          of the existing API:

	      * Servers can now listen on multiple ports, including
	        listening on both IPv4 and IPv6 (which is the default
	        behavior when using the new API), or serving both http
	        and https from a single SoupServer.

	      * You can create a SoupServer from an existing listening
	        socket (either a file descriptor or a GSocket).

	      * When using the new APIs, SoupServer now obeys the
	        thread-default GMainContext rather than using the
	        :async-context property.

	      * soup_server_set_ssl_cert_file() allows setting the
	        certificate and key files with feedback if it fails
	        (unlike the old construct-time "ssl-cert-file" and
	        "ssl-key-file" properties, which fail with a
	        g_warning() and a NULL return from g_object_new() if
	        they fail).

	      * SoupClientContext has new methods that return GSocket
	        and GSocketAddress, rather than SoupSocket and
	        SoupAddress.

	* SoupSession now has a :tls-interaction property, which can
          be used to add a GTlsInteraction to a session, allowing it
          to provide a client-side certificate if the server requests
          one. [#334021, Colin Walters]

	* soup_session_abort() no longer tries to close active
          connections, which was causing crashes in evolution
          [rh#1093314]

	* Fixed a GMainContext-handling bug that could cause crashes
          in gstreamer's souphttpsrc. [#729737, Dmitry Shatrov]

	* Fixed a memory leak when requesting to delete a cookie that
          didn't exist [Joseph Artsimovich]

	* Updated translations:
	  Brazilian Portuguese, Czech, Hebrew, Spanish

Changes in libsoup from 2.45.92 to 2.46.0:

	* (No changes, just a version bump)

Changes in libsoup from 2.45.90 to 2.45.92:

	* Fixed problems with using an http proxy on port 80. [patch
          from Slava Monich on libsoup-list]

	* Plugged a small per-connection leak. [patch from Slava
          Monich on libsoup-list]

	* Belatedly bumped up the glib requirement to 2.38, which is
          required for the TAP driver.

	* Fixed up some leftover issues from the test porting to
          gtestutils:

	      test-utils: change http_debug command-line flag
	      xmlrpc-test: use g_test_skip()
	      redirect-test: remove a flaky test
	      auth-test: remove some erroneous SKIP_IF_NO_APACHEs
	      tests: split up some test programs into more tests
	      tests: remove debug_printf()s that are redundant with test names
	      tests: use g_test_bug() to annotate test cases

Changes in libsoup from 2.45.3 to 2.45.90:

	* Fixed a problem where libsoup would use the "http" proxy
          settings for "https" requests [#724316, Matt Barnes]

	* Updated SoupContentSniffer to match the current version of
          the MIME sniffing specification [#648849 / #715126, Gustavo
          Noronha Silva]

	* Updated the soup-tld APIs to accept ASCII-encoded hostnames
          in addition to UTF-8 ones.

	* Ported the test programs to the gtestutils framework, added
          support for installed tests, and made the tests use the TAP
          driver.

	  Some tests still need to be split up into more pieces, and
	  the debug output is now somewhat less useful in some cases.

	* Fixed the test programs to not depend on local proxy
          settings.

	* Added some more checks to header-tests [#722341, Lionel
          Landwerlin]

	* Fixed the "simple-proxy" example program, which had been
          broken for a while.

	* Updated translations:
	  Korean

Changes in libsoup from 2.44.1 to 2.45.3:

	* The documentation has finally been updated to reflect the
          new APIs added in 2.42.

	* Added GBytes-valued :request-body-data and
          :response-body-data properties to SoupMessage, which should
          help some bindings.

	* We now set TCP_NODELAY on sockets, improving throughput a
          bit. In particular, this avoids an unnecessary extra round
          trip in the TLS handshake.

	* The SoupSession APIs that return GErrors now return the
          actual underlying gio errors in the event of connection
          failures and the like.

	* Updated the copy of the Public Suffix list used by soup-tld.

	* Fixed a hang with internet radio streams in Rhythmbox (and
          some other places). [#710494, Dan]

	* Fixed a connection leak when cancelling the close of
	  a message GInputStream. [#711260, Dan]

	* Updated the soup_server_pause_message() /
          soup_server_unpause_message() documentation to clarify when
          you can and can't call them. [#710602, Philip Withnall]

	* soup_message_set_request() and soup_message_set_response()
          now g_warn_if_fail() if you pass an invalid Content-Type.
          (And they also have better introspection annotations.)
          [#686766, Dan]

	* Plugged a few memory leaks [#711085, Christophe Fergeau]

	* Fixed connection-test to pass with current glib [#711361,
	  Colin Walters]

	* session-test now passes when run against the dummy TLS
          backend (ie, if you don't have glib-networking installed),
          as long as you have the latest glib.

	* Fixed build with -Werror=format-nonliteral [#720082, Ryan
          Lortie]

	* Fix build with --without-ntlm [#710267, Dan]

	* Fixed a few warnings [Dan, Fabiano Fidêncio]

	* Tests are now more verbose by default under "make check",
          since current automake just redirects all the output to a
          log file anyway.

	* Updated translations:
	  Chinese

Revision 1.64 / (download) - annotate - [select for diffs], Mon Dec 1 12:39:17 2014 UTC (8 years, 2 months ago) by joerg
Branch: MAIN
CVS Tags: pkgsrc-2014Q4-base, pkgsrc-2014Q4
Changes since 1.63: +3 -1 lines
Diff to previous 1.63 (colored)

Support cwrappers for packages appending arguments in the wrappers.

Revision 1.63 / (download) - annotate - [select for diffs], Tue Oct 7 16:47:13 2014 UTC (8 years, 4 months ago) by adam
Branch: MAIN
Changes since 1.62: +2 -2 lines
Diff to previous 1.62 (colored)

Revbump after updating libwebp and icu

Revision 1.62 / (download) - annotate - [select for diffs], Sat May 17 16:10:47 2014 UTC (8 years, 8 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2014Q3-base, pkgsrc-2014Q3, pkgsrc-2014Q2-base, pkgsrc-2014Q2
Changes since 1.61: +2 -2 lines
Diff to previous 1.61 (colored)

Bump applications PKGREVISIONs for python users that might be using
python3, since the default changed from python33 to python34.

I probably bumped too many. I hope I got them all.

Revision 1.61 / (download) - annotate - [select for diffs], Wed Apr 9 07:26:58 2014 UTC (8 years, 10 months ago) by obache
Branch: MAIN
Changes since 1.60: +2 -1 lines
Diff to previous 1.60 (colored)

recursive bump from icu shlib major bump.

Revision 1.60 / (download) - annotate - [select for diffs], Sun Jan 19 13:05:04 2014 UTC (9 years ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2014Q1-base, pkgsrc-2014Q1
Changes since 1.59: +3 -4 lines
Diff to previous 1.59 (colored)

Update to 2.44.2:

Changes in libsoup from 2.44.1 to 2.44.2:

	* Fixed a hang with internet radio streams in Rhythmbox (and
          some other places). [#710494, Dan]

	* Fixed a connection leak when cancelling the close of
	  a message GInputStream. [#711260, Dan]

	* Plugged a few memory leaks [#711085, Christophe Fergeau]

	* Fix build with --without-ntlm [#710267, Dan]

	* Fixed a few warnings [Dan, Fabiano Fidêncio]

	* Fixed connection-test to pass with current glib [#711361,
	  Colin Walters]

	* Tests are now more verbose by default under "make check",
          since current automake just redirects all the output to a
          log file anyway. [Dan]

Changes in libsoup from 2.44.0 to 2.44.1:

	* If you called g_input_stream_close() on SoupMessage or
          SoupRequests's GInputStream before you finished reading it,
          it would block until the rest of the response had been read
          (which in the case of, eg, an infinite audio stream, meant
          that it would block forever). This was an unintended change
          from 2.42 and is now fixed. [#695652, Dan]

	* soup_session_queue_message() on a plain SoupSession (not
          SoupSessionAsync) was operating synchronously rather than
          asynchronously as it should have. [#707711, Dan]

	* soup-form methods now use the HTML5 x-www-form-urlencoded
          rules rather than the HTML4 ones. (In particular, they leave
	  "-", "_", and "." unencoded.) [#708621, Alban Browaeys]

	* The test programs now explicitly request the "memory"
          GSettings backend, meaning they won't print a warning if
          they get it accidentally, and they won't accidentally use
          the dconf proxy settings if the dconf backend is available.
          [Dan]

	* Fix SoupSession so that if you override the proxy
          configuration at construct time, it doesn't try to resolve
          the default GProxyResolver. (This is important in particular
          for programs that expect to run outside a user session,
          which would otherwise spew errors from the dconf GSettings
          backend about not being able to connect to dconf.) Likewise
          with TLS settings and the TLS backend. [#708696, Dan]

	* Fix the SoupServer:tls-certificate property;
          soup_server_is_https() had not been updated to recognize it,
          and so would return FALSE, which in turn meant that the
          server would return 400 Bad Request in response to https
          requests. [#709647, Fabiano Fidêncio]

	* Fixed a sporadic failure in tests/connection-test. [Dan]

	* Updated translations:
	  Tajik

Changes in libsoup from 2.43.92 to 2.44.0:

	* New/updated translations:
	  Dutch, Indonesian

Changes in libsoup from 2.43.90 to 2.43.92:

	* Fixed a bug in the connection-pool code, which would in
          certain cases accidentally keep using a connection after a
          message was cancelled while in progress, causing the next
          request on that connection to get the response to the
          previous request, etc. [#708006, David Woodhouse]

	* Fixed some problems when falling back from samba
          single-sign-on-based NTLM to ordinary ask-for-a-password
          NTLM. [#703186, David Woodhouse]

	* When sending a conditional GET request, SoupCache now
          preserves the original message's list of disabled features,
          ensure that it gets back the same kind of response the
          original message would have. [#706338, Andre Moreira
          Magalhaes]

	* Fixed a warning when the remote host closes the connection
          while we are writing something using chunked encoding.
          [#703297, Dan]

	* Added SoupServer:http-aliases and :https-aliases properties,
          to specify URI schemes that should be treated as though they
          were http (just like SoupSession:http-aliases and
          :https-aliases, but on the server side). [#703694, Dan]

	* Fixed race conditions in cache-test and timeout-test that
          could case spurious failures. [#698305, #660581, Dan]

Changes in libsoup from 2.43.5 to 2.43.90:

	* Fixed the handling of unsatisfiable range requests in
          SoupServer [pointed out on mailing list, Dan]. Also, added
          more documentation clarifying that you don't need to handle
          range requests yourself in many cases.

	* Fixed the handling of IPv6 address literals with scope IDs.
          (Requires the latest glib as well for the complete fix.)
          [#669724, Dan]

Changes in libsoup from 2.43.4 to 2.43.5:

	* SoupProxyURIResolver is now deprecated in favor of the
          SoupSession:proxy-resolver property (which takes a
          GProxyResolver). [#680273, Dan]

	* The SoupKnownStatusCode enum is now called SoupStatus. The
          old name continues to exist as an alias, but is deprecated.
          (This change has no visible effect in C; it is primarily to
          help language bindings, so that, eg, SOUP_STATUS_NOT_FOUND
          maps to "Soup.Status.NOT_FOUND" rather than
          "Soup.KnownStatusCode.NOT_FOUND".) [#684409, Dan]

	* Fixed the parsing of URI schemes in SoupURI (in particular,
          to allow scheme names with digits in them). [#703776, Dan]

	* Fixed SoupLogger to print a message's response headers even
          if the message gets cancelled before the complete response
          body is received. [#703200, Andres Gomez]

	* Fixed a build problem in non-UTF-8 locales [#702534, Ross
          Lagerwall]

	* SoupSession now warns if you use
          soup_session_pause_message() or
          soup_session_unpause_message() on a synchronous message
          (which has never worked, though that fact wasn't
          documented). [#703461, Philip Withnall]

Changes in libsoup from 2.43.2 to 2.43.4:

	* Fixed a bug that could cause synchronous sessions to get
          stuck in a state where no new messages would ever get
          processed. [#703463, Philip Withnall]

	* Fixed another memory leak in SoupSocket (found while
	  added a test case for #700472)

	* Switched to using g_cclosure_marshal_generic() rather than
          using glib-genmarshal. [#686042, Olivier Blin]

	* Changed SoupServer to call unref() on the query hash table
          after calling the handler, rather than destroy(), so that
          the handler can keep a copy of the query data if it wants.
          [#702793, Bernhard Schuster]

	* Fixed a few introspection annotations

	* Updated examples/get to use SoupLogger and to allow
          redirecting the output to a file [#703231, #703229, Andres
          Gomez]

Changes in libsoup from 2.43.1 to 2.43.2:

	* Fixed an authentication error when using NTLM when
          connecting to an https site over a proxy; the code was
          getting confused and thinking that the 200 OK response to
          the CONNECT meant that NTLM auth had succeeded. [#698728,
          Dan]

	* Fixed a memory leak in SoupSocket. [#700472, Richard
          Röjfors]

	* Fixed a missing include error on some platforms [#700003,
          Erik van Pienbroek]

	* Fixed warnings when running against the "dummy" TLS backend.
	  [#700518, Dan]

Changes in libsoup from 2.42.1 to 2.43.1:

	* Including <libsoup/soup.h> no longer pulls in the system
	  networking headers. This may cause some packages to no
	  longer compile, if they were accidentally depending on this.
	  Adding "#include <gio/gnetworking.h>" will fix them on both
	  unix and Windows. (This was done as part of fixing the build
	  on Windows.) [#692134, Dan]

	* Fixed SoupSession:proxy-resolver [#698163, Dan]

	* Added soup_message_set_priority(), to mark messages as being
          high, low, or normal priority, and update the message queue
          to prioritize them accordingly. [#696277, Sergio]

	* Fixed several test programs to still work if glib-networking
          isn't installed [Dan], and fixed another to still work if
          the kernel has no IPv6 support. [#698220, Dan]

Revision 1.59 / (download) - annotate - [select for diffs], Wed Jan 1 11:52:06 2014 UTC (9 years, 1 month ago) by wiz
Branch: MAIN
Changes since 1.58: +2 -2 lines
Diff to previous 1.58 (colored)

Recursive PKGREVISION bump for libgcrypt-1.6.0 shlib major bump.

Revision 1.58 / (download) - annotate - [select for diffs], Sat Oct 19 09:06:56 2013 UTC (9 years, 3 months ago) by adam
Branch: MAIN
CVS Tags: pkgsrc-2013Q4-base, pkgsrc-2013Q4
Changes since 1.57: +2 -2 lines
Diff to previous 1.57 (colored)

Revbump after updating textproc/icu

Revision 1.57 / (download) - annotate - [select for diffs], Sun Jul 14 11:26:14 2013 UTC (9 years, 6 months ago) by richard
Branch: MAIN
CVS Tags: pkgsrc-2013Q3-base, pkgsrc-2013Q3
Changes since 1.56: +3 -1 lines
Diff to previous 1.56 (colored)

don't overpatch libsoup, just make informational some errors

Revision 1.56 / (download) - annotate - [select for diffs], Mon Jun 10 18:57:55 2013 UTC (9 years, 7 months ago) by joerg
Branch: MAIN
CVS Tags: pkgsrc-2013Q2-base, pkgsrc-2013Q2
Changes since 1.55: +5 -1 lines
Diff to previous 1.55 (colored)

Ignore non-literal format strings like GCC does for Clang.
The introspection stuff is trying to build a temporary file that
violates this and removes it before it can be investigated...

Revision 1.55 / (download) - annotate - [select for diffs], Mon Jun 10 08:35:59 2013 UTC (9 years, 7 months ago) by obache
Branch: MAIN
Changes since 1.54: +6 -2 lines
Diff to previous 1.54 (colored)

enable introspection support.

Bump PKGREVISION.

Revision 1.54 / (download) - annotate - [select for diffs], Mon May 27 11:57:19 2013 UTC (9 years, 8 months ago) by drochner
Branch: MAIN
Changes since 1.53: +1 -2 lines
Diff to previous 1.53 (colored)

remove stale dependencies, ride on recent revbump

Revision 1.53 / (download) - annotate - [select for diffs], Fri May 24 18:23:32 2013 UTC (9 years, 8 months ago) by wiz
Branch: MAIN
Changes since 1.52: +2 -2 lines
Diff to previous 1.52 (colored)

Bump PKGREVISION for libproxy shlib major bump.

Revision 1.52 / (download) - annotate - [select for diffs], Thu May 9 07:39:18 2013 UTC (9 years, 9 months ago) by adam
Branch: MAIN
Changes since 1.51: +2 -1 lines
Diff to previous 1.51 (colored)

Massive revbump after updating graphics/ilmbase, graphics/openexr, textproc/icu.

Revision 1.51 / (download) - annotate - [select for diffs], Sat Apr 27 12:09:32 2013 UTC (9 years, 9 months ago) by drochner
Branch: MAIN
Changes since 1.50: +6 -3 lines
Diff to previous 1.50 (colored)

update to 2.42.2
This switches to the new stable release branch.

Revision 1.50 / (download) - annotate - [select for diffs], Fri Mar 15 17:41:27 2013 UTC (9 years, 10 months ago) by drochner
Branch: MAIN
CVS Tags: pkgsrc-2013Q1-base, pkgsrc-2013Q1
Changes since 1.49: +2 -3 lines
Diff to previous 1.49 (colored)

update to 2.40.3
changes:
-bugfixes, minor improvements
-minor doc fixes
-translation updates

Revision 1.49 / (download) - annotate - [select for diffs], Sat Jan 26 21:36:41 2013 UTC (10 years ago) by adam
Branch: MAIN
Changes since 1.48: +2 -1 lines
Diff to previous 1.48 (colored)

Revbump after graphics/jpeg and textproc/icu

Revision 1.48 / (download) - annotate - [select for diffs], Thu Nov 15 14:50:37 2012 UTC (10 years, 2 months ago) by drochner
Branch: MAIN
CVS Tags: pkgsrc-2012Q4-base, pkgsrc-2012Q4
Changes since 1.47: +2 -2 lines
Diff to previous 1.47 (colored)

update to 2.40.2
changes:
-bugfixes
-translation updates

Revision 1.47 / (download) - annotate - [select for diffs], Fri Oct 26 19:03:05 2012 UTC (10 years, 3 months ago) by marino
Branch: MAIN
Changes since 1.46: +2 -2 lines
Diff to previous 1.46 (colored)

net/libsoup24: USE_TOOLS+= msgfmt

Revision 1.46 / (download) - annotate - [select for diffs], Tue Oct 23 17:18:34 2012 UTC (10 years, 3 months ago) by asau
Branch: MAIN
Changes since 1.45: +1 -3 lines
Diff to previous 1.45 (colored)

Drop superfluous PKG_DESTDIR_SUPPORT, "user-destdir" is default these days.

Revision 1.45 / (download) - annotate - [select for diffs], Fri Oct 19 18:01:13 2012 UTC (10 years, 3 months ago) by drochner
Branch: MAIN
Changes since 1.44: +8 -5 lines
Diff to previous 1.44 (colored)

update to 2.40.1
This switches to the 2.40 (gnome-3.6) release branch

Revision 1.44 / (download) - annotate - [select for diffs], Sat Sep 15 10:06:04 2012 UTC (10 years, 4 months ago) by obache
Branch: MAIN
CVS Tags: pkgsrc-2012Q3-base, pkgsrc-2012Q3
Changes since 1.43: +2 -2 lines
Diff to previous 1.43 (colored)

recursive bump from libffi shlib major bump
(additionaly, reset PKGREVISION of qt4-* sub packages from base qt4 update)

Revision 1.43 / (download) - annotate - [select for diffs], Thu Jun 14 07:43:20 2012 UTC (10 years, 7 months ago) by sbd
Branch: MAIN
CVS Tags: pkgsrc-2012Q2-base, pkgsrc-2012Q2
Changes since 1.42: +2 -1 lines
Diff to previous 1.42 (colored)

Recursive PKGREVISION bump for libxml2 buildlink addition.

Revision 1.42 / (download) - annotate - [select for diffs], Sun May 6 13:53:44 2012 UTC (10 years, 9 months ago) by jakllsch
Branch: MAIN
Changes since 1.41: +2 -2 lines
Diff to previous 1.41 (colored)

The libsoup24 configure script now wants glib2 2.31.7 or greater,
mark dependency as such.

Revision 1.41 / (download) - annotate - [select for diffs], Tue May 1 05:35:04 2012 UTC (10 years, 9 months ago) by obache
Branch: MAIN
Changes since 1.40: +7 -1 lines
Diff to previous 1.40 (colored)

disable-more-warnings for gcc<4.2, or gcc>=4.2 specific -Werr=XXX flags will be
used unconditionally and result in build failure.

Revision 1.40 / (download) - annotate - [select for diffs], Mon Apr 30 14:22:36 2012 UTC (10 years, 9 months ago) by drochner
Branch: MAIN
Changes since 1.39: +4 -5 lines
Diff to previous 1.39 (colored)

update to 2.38.1
This is a new major release.

Revision 1.39 / (download) - annotate - [select for diffs], Fri Apr 27 12:31:59 2012 UTC (10 years, 9 months ago) by obache
Branch: MAIN
Changes since 1.38: +2 -2 lines
Diff to previous 1.38 (colored)

Recursive bump from icu shlib major bumped to 49.

Revision 1.38 / (download) - annotate - [select for diffs], Sat Mar 3 00:12:08 2012 UTC (10 years, 11 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2012Q1-base, pkgsrc-2012Q1
Changes since 1.37: +2 -2 lines
Diff to previous 1.37 (colored)

Recursive bump for pcre-8.30* (shlib major change)

Revision 1.37 / (download) - annotate - [select for diffs], Mon Feb 6 12:41:15 2012 UTC (11 years ago) by wiz
Branch: MAIN
Changes since 1.36: +2 -1 lines
Diff to previous 1.36 (colored)

Revbump for
a) tiff update to 4.0 (shlib major change)
b) glib2 update 2.30.2 (adds libffi dependency to buildlink3.mk)

Enjoy.

Revision 1.36 / (download) - annotate - [select for diffs], Mon Jan 30 18:43:52 2012 UTC (11 years ago) by drochner
Branch: MAIN
Changes since 1.35: +4 -5 lines
Diff to previous 1.35 (colored)

update to 2.36.1
this switches to the 2.36 release branch (needs glib2-2.30)

Revision 1.35 / (download) - annotate - [select for diffs], Sun Jan 29 10:41:19 2012 UTC (11 years ago) by drochner
Branch: MAIN
Changes since 1.34: +2 -1 lines
Diff to previous 1.34 (colored)

add patch from upstream to avoid excessive use of glib2 "cancellables",
this is a problem with the glib2-2.30 implementation of the latter
which runs out of file descriptors easily
bump PKGREV

Revision 1.34 / (download) - annotate - [select for diffs], Mon Sep 12 18:04:51 2011 UTC (11 years, 4 months ago) by drochner
Branch: MAIN
CVS Tags: pkgsrc-2011Q4-base, pkgsrc-2011Q4, pkgsrc-2011Q3-base, pkgsrc-2011Q3
Changes since 1.33: +2 -3 lines
Diff to previous 1.33 (colored)

update to 2.34.3
changes:
-fix for CVE-2011-2054 (was patched in pkgsrc)
-Fixed a few memory leaks

Revision 1.31.2.1 / (download) - annotate - [select for diffs], Tue Aug 2 08:11:08 2011 UTC (11 years, 6 months ago) by tron
Branch: pkgsrc-2011Q2
Changes since 1.31: +2 -1 lines
Diff to previous 1.31 (colored) next main 1.32 (colored)

Pullup ticket #3487 - requested by drochner
net/libsoup24: security patch

Revisions pulled up:
- net/libsoup24/Makefile                                        1.33
- net/libsoup24/distinfo                                        1.23
- net/libsoup24/patches/patch-aa                                1.3

---
   Module Name:    pkgsrc
   Committed By:   drochner
   Date:           Fri Jul 29 10:27:29 UTC 2011

   Modified Files:
           pkgsrc/net/libsoup24: Makefile distinfo
   Added Files:
           pkgsrc/net/libsoup24/patches: patch-aa

   Log Message:
   add patch from upstream to fix a directory traversal problem which
   could allow information disclosure  by servers (CVE-2011-2524, does not
   affect client applications)

Revision 1.33 / (download) - annotate - [select for diffs], Fri Jul 29 10:27:29 2011 UTC (11 years, 6 months ago) by drochner
Branch: MAIN
Changes since 1.32: +2 -1 lines
Diff to previous 1.32 (colored)

add patch from upstream to fix a directory traversal problem which
could allow information disclosure  by servers (CVE-2011-2524, does not
affect client applications)

Revision 1.32 / (download) - annotate - [select for diffs], Fri Jul 8 18:35:37 2011 UTC (11 years, 7 months ago) by drochner
Branch: MAIN
Changes since 1.31: +1 -3 lines
Diff to previous 1.31 (colored)

recent libsoup doesn't use gnutls directly but through glib-networking,
so there is no need to maintain a direct dependency

Revision 1.31 / (download) - annotate - [select for diffs], Fri Jun 10 09:33:53 2011 UTC (11 years, 8 months ago) by drochner
Branch: MAIN
CVS Tags: pkgsrc-2011Q2-base
Branch point for: pkgsrc-2011Q2
Changes since 1.30: +5 -4 lines
Diff to previous 1.30 (colored)

update to 2.34.2
This switches to the new release branch.

Revision 1.30 / (download) - annotate - [select for diffs], Fri Apr 22 13:42:16 2011 UTC (11 years, 9 months ago) by obache
Branch: MAIN
Changes since 1.29: +2 -1 lines
Diff to previous 1.29 (colored)

recursive bump from gettext-lib shlib bump.

Revision 1.29 / (download) - annotate - [select for diffs], Mon Feb 28 14:52:58 2011 UTC (11 years, 11 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2011Q1-base, pkgsrc-2011Q1
Changes since 1.28: +2 -2 lines
Diff to previous 1.28 (colored)

Reset maintainer for retired developers.

Revision 1.28 / (download) - annotate - [select for diffs], Thu Dec 2 15:34:44 2010 UTC (12 years, 2 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2010Q4-base, pkgsrc-2010Q4
Changes since 1.27: +2 -2 lines
Diff to previous 1.27 (colored)

Update to 2.32.2:

Changes in libsoup from 2.32.1 to 2.32.2:

	* Fixed a regression in 2.32.0 that caused evolution-exchange
          to get stuck and stop updating. [#634422]

	* Fixed a regression in 2.32.0 with apps using asynchronous
          sessions from multiple threads (in particular, gupnp)
          [#635101]

	* Fixed the regression test for #631525 to not cause spurious
	  "make check" failures on some machines.

Revision 1.27 / (download) - annotate - [select for diffs], Tue Nov 16 13:19:03 2010 UTC (12 years, 2 months ago) by drochner
Branch: MAIN
Changes since 1.26: +2 -2 lines
Diff to previous 1.26 (colored)

update to 2.32.1
changes:
-bugfixes
-Usernames/passwords specified explicitly in request URIs now
 override existing cached auth info
-Added another workaround for stupid servers that close the
 connection before returning the full response
-Added regression tests

Revision 1.26 / (download) - annotate - [select for diffs], Thu Oct 21 20:33:59 2010 UTC (12 years, 3 months ago) by drochner
Branch: MAIN
Changes since 1.25: +4 -4 lines
Diff to previous 1.25 (colored)

update to 2.32.0 -- switch to the gnome-2.32 release branch.
This is pulled in early because it fixes a serious problem with servers
providing both IPv4 and v6: previous versions tried only the first
address returned by DNS, whether the box has connectivity or not.
Should fix problems with webkit in particular, as also reported by
Pouya D. Tafti.

Revision 1.25 / (download) - annotate - [select for diffs], Sun Aug 29 09:39:17 2010 UTC (12 years, 5 months ago) by obache
Branch: MAIN
CVS Tags: pkgsrc-2010Q3-base, pkgsrc-2010Q3
Changes since 1.24: +1 -5 lines
Diff to previous 1.24 (colored)

No need gtkdoc-rebase workaround anymore.

Revision 1.24 / (download) - annotate - [select for diffs], Tue Jul 6 15:08:54 2010 UTC (12 years, 7 months ago) by drochner
Branch: MAIN
Changes since 1.23: +2 -2 lines
Diff to previous 1.23 (colored)

update to 2.30.2
changes: nimor fixes

Revision 1.23 / (download) - annotate - [select for diffs], Sat Jun 5 11:00:42 2010 UTC (12 years, 8 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2010Q2-base, pkgsrc-2010Q2
Changes since 1.22: +3 -4 lines
Diff to previous 1.22 (colored)

Update to 2.30.1:

Changes in libsoup from 2.30.0 to 2.30.1:

	* Fix for https through proxies that close the connection when
          returning a "407 Proxy Authentication Required" response,
          and add a regression test for that case. [#611663]

	* Fixed multiple forms/multipart-related interoperability
          problems reported by Egon Andersen:

		* Don't quote the multipart boundary string if it's
                  not needed, since RFC 2616 recommends that you
                  don't, and some servers don't handle quotes there
                  correctly. (Sigh.) [#614176]

		* Don't put an extra blank line before the first
                  multipart part, since it's unnecessary and some
                  servers don't handle a multipart preamble correctly.
                  (Sigh.) [#614183]

		* Don't put Content-Transfer-Encoding headers in the
                  multipart/form-data parts, even though the HTML 4
                  spec says you must, since no other browsers do, and
                  some servers don't handle them correctly. (Sigh.)
                  [#614198]

	* Changed SoupCookieJarSqlite to actually erase deleted
          cookies from the database. [#615711, Lukasz Slachciak]

	* Fixed SoupLogger to be more robust against getting passed
          bad data by the session. [#611663]

	* Fixed SoupAuthDomain to ignore paths when doing proxy auth

	* Fixed a g_warning when hovering over a javascript link in
          WebKit. [#613442, Xan Lopez]

Changes in libsoup from 2.29.91 to 2.30.0:

	* Fixed a crash in the whitespace-stripping code in
          soup_uri_new() [#612644, "arnaud.lb"]

	* Update content-sniffing algorithm to match Chrome and the
          soon-to-be-updated sniffing spec. [#611502, Gustavo Noronha
          Silva]

	* We now handle "Content-Encoding: x-gzip" as well as "gzip"
	  (even though "x-gzip" has been deprecated for more than 10
	  years). [#611476]

	* Fixed leaks found by valgrind

	* Make the "make check" programs only bind to 127.0.0.1, not
          any public network interfaces. [#609489, Saleem Absulrasool]

	* Add a test to sniffing-test to make sure that Content-Type
          parameters are preserved correctly. [Gustavo Noronha Silva]

Changes in libsoup from 2.29.90 to 2.29.91:

	* Added SOUP_SESSION_SSL_STRICT and
          SOUP_MESSAGE_CERTIFICATE_TRUSTED, to allow callers to
          determine if an https response comes from a server with a
          recognized/valid or unrecognized/invalid certificate.
          [#610374, Gustavo Noronha Silva]

	* Fixed handling of certain badly-formatted URIs [#590524]

Changes in libsoup from 2.29.6 to 2.29.90:

	* Added soup_cookie_jar_set_accept_policy() and related API
          for implementing cookie acceptance policies. [#608353, Xan
          Lopez]

	* Fixed the "request-read" signal in SoupServer to actually be
          emitted.

Changes in libsoup from 2.29.5 to 2.29.6:

	* Fixed SoupContentDecoder to ignore trailing junk after the
          encoded message body (as other browsers do), rather than
          getting stuck in an infinite loop. [#606352]

	* Fixed an invalid read in soup_cookie_applies_to_uri()
	  [#607024, pointed out by Xan]

	* Fixed linking on OS X [#606959]

	* Removed a harmless warning in SoupServer. [#606645]

Changes in libsoup from 2.29.3 to 2.29.5:

	* Added SoupContentDecoder, providing support for
          Content-Encoding: gzip for WebKitGTK. [#522772]

	* Added "accept-language" and "accept-language-auto"
          properties to SoupSession, to support the Accept-Language
          header. [#597004, Mario Sanchez Prada]

	* Fixed a bug in SoupPasswordManagerGNOME that could cause
          crashes if you typed the wrong password once and then tried
          again. [#595554, debugged by Gustavo Noronha Silva]

	* Fixed a crash in SoupAuthDigest if the server claims support
          for both qop=auth and qop=auth-int. (This was not noticed
          sooner because no one actually supports qop=auth-int, and
          the server in question here was probably confused. :)

	* Updated cookie parsing/output to more closely match
	  draft-ietf-httpstate-cookie-00. [Also fixes #603496 (WebKit
	  unit test), and #604794 (hang parsing malformed Set-Cookie
	  header)]

	* Fixed https-via-proxy to not hang if there is an error
          communicating with the proxy immediately after the TLS
          negotiation. [#587528]

	* Fixed a bug that broke gobject-introspection's introspection
          of libsoup. [#603696, Vincent Untz]

	* Handle spurious CR/LFs between responses. [#602863,
          Alexander V. Butenko]

	* Fixed soup-message-client-io to not erroneously include URI
          fragments on the Request-Line when sending via a proxy.
          [Related to WebKit bug #28687]

	* Fixed Digest authentication against certain (buggy?)
          clients/servers that require you to use quotes in exactly the
          same places where the spec uses them. [#582219]

	* Fix ugly gtype-related hack to work with the latest unstable
          glib. [Benjamin Otte]

Revision 1.22 / (download) - annotate - [select for diffs], Sun May 23 11:19:27 2010 UTC (12 years, 8 months ago) by obache
Branch: MAIN
Changes since 1.21: +5 -1 lines
Diff to previous 1.21 (colored)

Need workaround for upstream gtk-doc Bug#56230.
Noticed by Daniel Vergien in PR 41475.

Revision 1.21 / (download) - annotate - [select for diffs], Sun Feb 28 20:49:21 2010 UTC (12 years, 11 months ago) by tonio
Branch: MAIN
CVS Tags: pkgsrc-2010Q1-base, pkgsrc-2010Q1
Changes since 1.20: +4 -5 lines
Diff to previous 1.20 (colored)

Add a gnome option, enabled by default.
Fix PR pkg/42854, applying a similar patch.

Remove the dependency on gtk-doc, it wasn't used.

Revision 1.20 / (download) - annotate - [select for diffs], Wed Dec 16 19:02:26 2009 UTC (13 years, 1 month ago) by drochner
Branch: MAIN
CVS Tags: pkgsrc-2009Q4-base, pkgsrc-2009Q4
Changes since 1.19: +2 -2 lines
Diff to previous 1.19 (colored)

update to 2.28.2
changes:
-many bugfixes
-Added SoupContentDecoder, providing support for
 Content-Encoding: gzip for WebKitGTK
-DNS speedups

Revision 1.19 / (download) - annotate - [select for diffs], Mon Nov 23 19:15:01 2009 UTC (13 years, 2 months ago) by drochner
Branch: MAIN
Changes since 1.18: +3 -1 lines
Diff to previous 1.18 (colored)

add TEST_TARGET

Revision 1.18 / (download) - annotate - [select for diffs], Wed Oct 21 15:52:03 2009 UTC (13 years, 3 months ago) by drochner
Branch: MAIN
Changes since 1.17: +2 -2 lines
Diff to previous 1.17 (colored)

update to 2.28.1
changes:
-libsoup will now attempt to make multiple connections to a
 server at once when there are multiple messages queued to
 that server
-bugfixes

Revision 1.17 / (download) - annotate - [select for diffs], Thu Oct 15 12:20:05 2009 UTC (13 years, 3 months ago) by hasso
Branch: MAIN
Changes since 1.16: +5 -4 lines
Diff to previous 1.16 (colored)

Update to 2.28.0. Many fixes, see upstreams' cgit for full changelog -
http://git.gnome.org/cgit/libsoup/plain/NEWS?id=LIBSOUP_2_28_0

Revision 1.16 / (download) - annotate - [select for diffs], Mon Oct 12 15:29:30 2009 UTC (13 years, 3 months ago) by reed
Branch: MAIN
Changes since 1.15: +2 -1 lines
Diff to previous 1.15 (colored)

This needs gnutls_priority_set_direct so add
BUILDLINK_API_DEPENDS.gnutls+= gnutls>=2.1.7

Revision 1.15 / (download) - annotate - [select for diffs], Thu Jul 9 17:47:07 2009 UTC (13 years, 7 months ago) by drochner
Branch: MAIN
CVS Tags: pkgsrc-2009Q3-base, pkgsrc-2009Q3
Changes since 1.14: +2 -2 lines
Diff to previous 1.14 (colored)

update to 2.26.3
changes:
-bugfixes
-fixed interoperability problems, in particular for https and
 for proxy use

Revision 1.14 / (download) - annotate - [select for diffs], Tue May 26 16:47:31 2009 UTC (13 years, 8 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2009Q2-base, pkgsrc-2009Q2
Changes since 1.13: +2 -1 lines
Diff to previous 1.13 (colored)

BUILD_DEPEND on gtk-doc to get gtkdoc-rebase. Remove patch-ab.

Revision 1.13 / (download) - annotate - [select for diffs], Tue May 26 16:33:34 2009 UTC (13 years, 8 months ago) by wiz
Branch: MAIN
Changes since 1.12: +3 -2 lines
Diff to previous 1.12 (colored)

Update to 2.26.2. Set LICENSE to gnu-lgpl-v2.

Changes in libsoup from 2.26.1 to 2.26.2:

	* SOUP_SESSION_TIMEOUT now works properly with
          SoupSessionAsync [#574414] and SSL [#578928]. Added
          tests/timeout-test to test this.

	* SoupDate fixes:

		* soup_date_to_string() now handles SOUP_DATE_RFC2822
		  [#579055, Enrico Tröger]

		* soup_date_new_from_string() now accepts 24:00 as a
		  time in ISO8601 timestamps

		* soup_date_to_string() now coerces the date to UTC
		  for HTTP and cookie dates, and outputs the UTC
		  correct offset for the other date types.

		* Added regression tests to tests/date

	* soup_headers_parse() now completely ignores
          syntactically-incorrect headers, rather than passing them to
          soup_message_headers_append() and causing a g_warning.
          soup_message_headers_append() now also rejects 0-length
          header names. Updated tests/header-parsing to check this.
          [#579318]

	* Fix a crash when cancelling a message from a "restarted"
          handler, and updated a regression test to notice the
          underlying cause. [#580193]

	* TLS1.1 support in gnutls has been temporarily disabled, to
          work around what appears to be a bug in gnutls's support for
          backward-compatibility with older servers. [#581342]

	* DNS resolution should be slightly faster, as we no longer
          set a flag that resulted in additional unnecessary DNS
          requests.

	* The --disable-more-warnings flag to configure is no longer
          required when you are using gcc < 3.4. [#578851]

	* Fixed a bug in the new body parsing code [qv #571283 below]
	  that caused libsoup to mistakenly reject some responses with
	  SOUP_STATUS_MALFORMED, "Message Corrupt". [#582002]

	* soup_form_request_for_data() now allows you to use "PUT" as
          the method, because apparently some web service authors
          think that's how you spell "POST", or something. [#581860]

Revision 1.12 / (download) - annotate - [select for diffs], Thu Apr 16 19:42:58 2009 UTC (13 years, 9 months ago) by drochner
Branch: MAIN
Changes since 1.11: +2 -2 lines
Diff to previous 1.11 (colored)

update to 2.26.1
changes: bugfixes

Revision 1.11 / (download) - annotate - [select for diffs], Wed Mar 18 17:18:10 2009 UTC (13 years, 10 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2009Q1-base, pkgsrc-2009Q1
Changes since 1.10: +2 -4 lines
Diff to previous 1.10 (colored)

Revert previous -- configure script still checks for libproxy, even though
it's unneeded.
Found by snj.

Revision 1.10 / (download) - annotate - [select for diffs], Wed Mar 18 12:28:45 2009 UTC (13 years, 10 months ago) by wiz
Branch: MAIN
Changes since 1.9: +4 -2 lines
Diff to previous 1.9 (colored)

Comment out libproxy dependency; it is not needed in this version.
Bump PKGREVISION.

Revision 1.9 / (download) - annotate - [select for diffs], Mon Mar 16 16:48:52 2009 UTC (13 years, 10 months ago) by jmcneill
Branch: MAIN
Changes since 1.8: +4 -3 lines
Diff to previous 1.8 (colored)

Update libsoup24 to 2.26.0.

Changes in libsoup from 2.25.91 to 2.26.0:

	* Temporarily disable libproxy support to work around a bug in
          its gnome plugin that causes gvfsd-http (and probably
          eventually other apps) to crash. [#571527]. For now,
          SoupProxyResolverGNOME uses only GConf. To be fixed in
          2.26.1

	* Fixed a bug that showed up in WebKit, where if many messages
          were queued all at once to a server that doesn't support
          persistent connections, some of the requests will get lost.
          #574365, reported by Xan Lopez.

	* Fixed SoupServer to support using SOUP_ENCODING_EOF, so you
          can stream responses of unknown length to HTTP/1.0 clients.
          [#572153]. Added a regression test for this, and for chunked
          and Content-Length-based streaming.

	* Fixed several bugs that prevented SoupCookieJarSqlite from
          working. [#572409, patch from Xan Lopez]

	* Added G_{BEGIN,END}_DECLS guards to public headers that were
          missing it. (Xan Lopez)

	* Misc gtk-doc improvements

Revision 1.8 / (download) - annotate - [select for diffs], Mon Mar 16 12:49:02 2009 UTC (13 years, 10 months ago) by jmcneill
Branch: MAIN
Changes since 1.7: +7 -4 lines
Diff to previous 1.7 (colored)

Update libsoup24 to 2.25.91.

Changes in libsoup from 2.25.4 to 2.25.5:

	* Fixed a crash in SoupProxyResolverGNOME when the proxy
          requires authentication. (This does not make proxy
          authentication *work* yet, it just makes it not crash.)

	* Updated documentation

Changes in libsoup from 2.25.4 to 2.25.5:

	* SoupProxyResolverGConf (which was incomplete) is gone, and
          libsoup-gnome now requires libproxy, which is now officially
          an external dependency of GNOME.

	* Fixed a bug in SoupCookieJar that was making it send
          "Cookie: (null)" when it had no cookies for a site, which
          confused some web servers (WebKit bug 23240).

	* Fixed a bug with using SOUP_MEMORY_TEMPORARY buffers and
          soup_message_body_set_accumulate(FALSE). (Part of WebKit bug
          18343, noticed by Gustavo Noronha Silva.)

	* Fixed the build with non-gcc compilers

Changes in libsoup from 2.25.3 to 2.25.4:

	* Added soup_session_get_feature() and
          soup_session_get_features(), to query the features currently
          available in a session (which is needed by the patch in
	  https://bugs.webkit.org/show_bug.cgi?id=22624)

Changes in libsoup from 2.25.2 to 2.25.3:

	* Fixed a crash when using both cookies and a proxy. [#562191,
          Mark Lee]

	* Fixed soup_form_decode() to correctly handle forms with
          URI-encoded parameter names [#563302, Evan Nemerson] and
          added a regression test.

	* Fixed a crash in SoupProxyResolverGConf. [#563145]

Changes in libsoup from 2.25.1 to 2.25.2:

	* Fixed client behavior when presented with multiple auth
          types to choose the *strongest* auth type (eg, Digest)
          rather than the *weakest* one [#562339, Pontus Oldberg].
          Added a regression test for this.

	* Moved libsoup-gnome headers to a different directory to make
          it easier to split libsoup and libsoup-gnome into separate
          packages, and to ensure that things that only want to be
          looking at plain libsoup headers (like gir-repository) don't
          accidentally see the libsoup-gnome ones.

	* Some minor doc fixes

	* Fixed libsoup-gnome linking with --as-needed. [#559342]

Changes in libsoup from 2.24.1 to 2.25.1:

	libsoup 2.25.1 introduces a new library, libsoup-gnome, which
	will be used for features which are important to GNOME apps,
	but which require GNOME-specific libraries that non-GNOME apps
	may not want to add dependencies on.

	In 2.25.1, libsoup-gnome contains:

	    * SOUP_TYPE_PROXY_RESOLVER_GNOME, a SoupSessionFeature
              type that can be added to a SoupSession to provide
              automatic proxy handling via the GConf proxy keys. (See
              below) The default implementation uses libproxy, which
              also handles WPAD, PAC, etc, but if libproxy is not
              available it will use GConf directly, supporting only
              the basic HTTP proxy functionality.

	    * SoupCookieJarSqlite, a SoupSessionFeature that handles
              cookies and stores them in a Firefox 3-compatible sqlite
              file. (This is not actually a "GNOME-specific" feature,
              but I didn't want to make libsoup itself depend on
              sqlite, and I didn't want to make the dependency
              optional. This might change before 2.26.)

	    * SOUP_TYPE_GNOME_FEATURES_2_26: a SoupSessionFeature type
              that can be added to a SoupSession to add all
              GNOME-integration features that are available for 2.26;
              as of 2.25.1, this is just the GNOME proxy resolver, but
              by 2.26.0 it may also include gnome-keyring support and
              possibly other features.

	Applications/libraries that are currently doing GConf proxy
	lookup by hand can be updated as follows:

	    * Remove all of the existing code that listens to the
              GConf keys and sets SOUP_SESSION_PROXY_URI

	    * Change the configure check to require
	      "libsoup-gnome-2.4 >= 2.25.1" instead of "libsoup-2.4"

	    * #include <libsoup/soup-gnome.h>

	    * After creating your SoupSession, do:

	          soup_session_add_feature_by_type (session, SOUP_TYPE_PROXY_RESOLVER_GNOME);

	      (Or alternatively, use SOUP_SESSION_ADD_FEATURE_BY_TYPE
	      with soup_session_async_new_with_options() or
	      soup_session_sync_new_with_options().)


	Other new features and bug fixes in 2.25.1 include:

	* SoupCookieJarText, like SoupCookieJarSqlite, but using the
          old-style cookies.txt format, and in the base libsoup rather
          than libsoup-gnome.

	* Various bugfixes to SoupCookie and SoupCookieJar to fix the
          problems with cookies not working on certain sites.

	* The new SoupMultipart type provides support for multipart
          MIME bodies, and soup-form now includes several methods for
          generating and parsing multipart form data and file uploads.

	* SoupMessageHeaders now has methods for easy handling of the
	  Content-Type, Content-Disposition, Range, and Content-Range
	  headers. The Content-Disposition handling recognizes
	  RFC2231-encoded UTF-8 filenames.

	* SoupServer now automatically handles partial GET requests;
          if your server returns SOUP_STATUS_OK in response to a
          partial GET, libsoup will automatically convert it to a
          SOUP_STATUS_PARTIAL_CONTENT response with only the requested
          portions.

	Thanks to Xan Lopez and Diego Escalante Urrelo for their work
	on SoupCookie, SoupCookieJar, SoupCookieJarText, and
	SoupCookieJarSqlite.

Revision 1.7 / (download) - annotate - [select for diffs], Tue Jan 13 15:28:40 2009 UTC (14 years ago) by wiz
Branch: MAIN
Changes since 1.6: +2 -2 lines
Diff to previous 1.6 (colored)

Update to 2.24.3:

Changes in libsoup from 2.24.2.1 to 2.24.3:

	* Fixed SoupCookieJar to not send "Cookie: (null)", which is
          (a) wrong, and (b) confusing to some servers.
          [bugs.webkit.org #23240]

	* Fixed soup_form_decode() to correctly handle forms with
          URI-encoded parameter names. [#563302, Evan Nemerson]

	* Fixed SoupSession to use Digest auth when both Digest and
          Basic are available. (It was mistakenly comparing the
          strengths backwards before, choosing the weakest-available
          auth instead of the strongest.) [#562339, Pontus Oldberg]

	* Fixed a bug in the Client How-To docs. [#562411, Andreas
          Bruse]

Revision 1.6 / (download) - annotate - [select for diffs], Tue Dec 2 17:13:19 2008 UTC (14 years, 2 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2008Q4-base, pkgsrc-2008Q4
Changes since 1.5: +4 -3 lines
Diff to previous 1.5 (colored)

Update to 2.24.2.1, update dependency requirements:

Changes in libsoup from 2.24.1 to 2.24.2.1:

	* Fixed two bugs and a memory leak in cookie handling

	* Added G_BEGIN_DECLS/G_END_DECLS to those public headers that
          were missing them

	* Minor updates to gtk-docs

	* (2.24.2.1 fixes a crash in the cookie code introduced in
          2.24.2. [#562191])

Revision 1.5 / (download) - annotate - [select for diffs], Fri Oct 24 21:54:56 2008 UTC (14 years, 3 months ago) by wiz
Branch: MAIN
Changes since 1.4: +3 -3 lines
Diff to previous 1.4 (colored)

Update to 2.24.1:

Changes in libsoup from 2.24.0.1 to 2.24.1:

	* Fixed a crash when unreffing the session from a
          soup_session_queue_message() callback [#533473], and added
          regression test. In particular, this fixes a crash in
          seahorse when trying to connect to a non-responsive
          keyserver.

	* Fixed an infinite loop when giving a bad password to a site
          that uses non-standard capitalization in the
          WWW-Authenticate header (eg, gmail.com) [#536285].

	* Fixed a leak in SoupSessionAsync when using a non-default
          GMainContext. [addendum to #498509, Arnout Vandecappelle]
          Added additional code to the regression tests to make sure
          sessions and servers do not get leaked.

	* Fixed a leak in the XML-RPC code

	* Compile fixes for "gcc -pedantic" [#553976, Sander Dijkhuis]
          and -DG_DISABLE_DEPRECATED / -DG_DISABLE_SINGLE_INCLUDES
          [#557072, Cosimo Cecchi]

	* Patched xmlrpc-test to accept the incorrect response to
          test_echo() that php-xmlrpc gives when it's built against
          libxml2 >= 2.7.1 (qv http://bugs.php.net/45996), so that
	  I can "make distcheck"...

	* Updated generated documentation

Revision 1.4 / (download) - annotate - [select for diffs], Thu Oct 16 13:38:10 2008 UTC (14 years, 3 months ago) by drochner
Branch: MAIN
Changes since 1.3: +4 -4 lines
Diff to previous 1.3 (colored)

update to 2.24.0.1
This switches to the gnome-2.24 release branch.

Revision 1.3 / (download) - annotate - [select for diffs], Thu Aug 14 14:43:34 2008 UTC (14 years, 5 months ago) by mjl
Branch: MAIN
CVS Tags: pkgsrc-2008Q3-base, pkgsrc-2008Q3, cube-native-xorg-base, cube-native-xorg
Changes since 1.2: +1 -2 lines
Diff to previous 1.2 (colored)

Back out previous, the root problem seems to have been
an outdated pkg_check.

Revision 1.2 / (download) - annotate - [select for diffs], Wed Aug 13 17:20:46 2008 UTC (14 years, 5 months ago) by mjl
Branch: MAIN
Changes since 1.1: +2 -1 lines
Diff to previous 1.1 (colored)

Add libgnome buildlink include

Revision 1.1.1.1 / (download) - annotate - [select for diffs] (vendor branch), Thu Apr 10 16:09:44 2008 UTC (14 years, 10 months ago) by drochner
Branch: TNF
CVS Tags: pkgsrc-base, pkgsrc-2008Q2-base, pkgsrc-2008Q2, cwrapper
Changes since 1.1: +0 -0 lines
Diff to previous 1.1 (colored)

import libsoup24-2.4.1, a new major branch of libsoup, for use
by gnome-2.22, can be installed in parallel with libsoup-devel

Revision 1.1 / (download) - annotate - [select for diffs], Thu Apr 10 16:09:44 2008 UTC (14 years, 10 months ago) by drochner
Branch: MAIN

Initial revision

This form allows you to request diff's between any two revisions of a file. You may select a symbolic revision name using the selection box or you may type in a numeric name using the type-in text box.




CVSweb <webmaster@jp.NetBSD.org>